org.apache.ignite.internal.processors.cache

## Class CacheInvokeEntry<K,V>

- java.lang.Object
- - org.apache.ignite.cache.CacheInterceptorEntry<K,V>
  - - org.apache.ignite.internal.processors.cache.CacheLazyEntry<K,V>
    - - org.apache.ignite.internal.processors.cache.CacheInvokeEntry<K,V>

All Implemented Interfaces:
  javax.cache.Cache.Entry<K,V>, javax.cache.processor.MutableEntry<K,V>

    public class CacheInvokeEntry<K,V>
    extends CacheLazyEntry<K,V>
    implements javax.cache.processor.MutableEntry<K,V>

Implementation of `MutableEntry` passed to the `EntryProcessor.process(MutableEntry, Object...)`.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.CacheLazyEntry

`cctx, key, keyObj, val, valObj`

### Constructor Summary

Constructors
Constructor and Description
`CacheInvokeEntry(KeyCacheObject keyObj, CacheObject valObj, GridCacheVersion ver, boolean keepBinary, GridCacheEntryEx entry)` Constructor.
`CacheInvokeEntry(KeyCacheObject keyObj, K key, CacheObject valObj, V val, GridCacheVersion ver, boolean keepBinary, GridCacheEntryEx entry)`

### Method Summary

Methods
`GridCacheEntryEx` `entry()`
`boolean` `exists()`
`boolean` `modified()`
`V` `oldVal()`
`void` `remove()`
`void` `setValue(V val)`
`String` `toString()`
`<T> T` `unwrap(Class<T> cls)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheLazyEntry

`getKey, getPartitionUpdateCounter, getValue, getValue, keepBinary, key, updateCounter, value`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.cache.Cache.Entry

`getKey, getValue`

### Constructor Detail

#### CacheInvokeEntry

    public CacheInvokeEntry(KeyCacheObject keyObj,
                    @Nullable
                    CacheObject valObj,
                    GridCacheVersion ver,
                    boolean keepBinary,
                    GridCacheEntryEx entry)

Constructor.

Parameters:
  `keyObj` - Key cache object.
  `valObj` - Cache object value.
  `ver` - Entry version.
  `keepBinary` - Keep binary flag.
  `entry` - Original entry.

#### CacheInvokeEntry

    public CacheInvokeEntry(KeyCacheObject keyObj,
                    @Nullable
                    K key,
                    @Nullable
                    CacheObject valObj,
                    @Nullable
                    V val,
                    GridCacheVersion ver,
                    boolean keepBinary,
                    GridCacheEntryEx entry)

Parameters:
  `keyObj` - Key cache object.
  `key` - Key value.
  `valObj` - Value cache object.
  `val` - Value.
  `ver` - Entry version.
  `keepBinary` - Keep binary flag.
  `entry` - Grid cache entry.

### Method Detail

#### exists

    public boolean exists()

Specified by:
  `exists` in interface `javax.cache.processor.MutableEntry<K,V>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `javax.cache.processor.MutableEntry<K,V>`

#### setValue

    public void setValue(V val)

Specified by:
  `setValue` in interface `javax.cache.processor.MutableEntry<K,V>`

#### oldVal

    public V oldVal()

Returns:
  Return origin value, before modification.

#### modified

    public boolean modified()

Returns:
  `True` if `setValue(V)` or `was called`.

#### entry

    public GridCacheEntryEx entry()

Returns:
  Cache entry instance.

#### unwrap

    public <T> T unwrap(Class<T> cls)

Specified by:
  `unwrap` in interface `javax.cache.Cache.Entry<K,V>`
Overrides:
  `unwrap` in class `CacheLazyEntry<K,V>`

#### toString

    public String toString()

Overrides:
  `toString` in class `CacheLazyEntry<K,V>`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017